Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
List chunks within a datasource using offset-based pagination. Supports filtering and sorting to locate specific segments in your knowledge base.
curl --request POST \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "",
"enabled": true,
"status": "<string>",
"limit": 100,
"page": 1
}
'{
"object": "list",
"data": [
{
"_id": "<string>",
"text": "<string>",
"enabled": true,
"status": "pending",
"created": "<string>",
"updated": "<string>",
"metadata": {},
"created_by_id": "<string>",
"update_by_id": "<string>"
}
],
"has_more": true
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the knowledge base
The unique identifier of the datasource.
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "",
"enabled": true,
"status": "<string>",
"limit": 100,
"page": 1
}
'{
"object": "list",
"data": [
{
"_id": "<string>",
"text": "<string>",
"enabled": true,
"status": "pending",
"created": "<string>",
"updated": "<string>",
"metadata": {},
"created_by_id": "<string>",
"update_by_id": "<string>"
}
],
"has_more": true
}